/*
45min.
3.- Se tiene un array de enteros, de tres dimensiones de 20x10x5.
Elaborar un algoritmo que:
(2)a) Introduzca números enteros aleatorios, comprendidos entre el -50 y el 50 (incluidos 
      ambos) en todas las posiciones de dicho array.
(3)b) Posteriormente, una vez introducidos todos los números, se deben reemplazar todos 
      los negativos por un cero y los positivos por un nueve (el cero se considera positivo).
(4)c) Mostrar el contenido del array por pantalla, en el siguiente formato:
   
   posición 0 0 0: 0
   posición 0 0 1: 9
   posición 0 0 2: 3
   ..................
   	Pero ATENCIÓN: Cada 20 líneas impresas, debe aparecer un mensaje tipo:
   	"Pulse una tecla para continuar..."
   	Y hasta que el usuario no pulse una tecla, no se seguirá con las siguientes 20.
   	(para que el usuario pueda leer el contenido del array tranquilamente).
 
(1)NOTA: Preparar el programa para que, en cualquier momento, y realizando un mínimo cambio,
podamos cambiar sin problema el número de elementos del array.   
*/

#include <stdio.h>
#include <conio.h>
#include <stdlib.h>

#define DIM1 20
#define DIM2 10
#define DIM3 5

void main(void)
{
 int array[DIM1][DIM2][DIM3];
 int i,j,k,cuentalinea;
 
 /*Introducir números aleatorios*/
 
 clrscr();
 randomize();
 
 for (i=0;i<DIM1;i++)
  for (j=0;j<DIM2;j++)
   for (k=0;k<DIM3;k++)
    array[i][j][k]=random(101)-50;
    
    
 /*Reemplazar los positivos y los negativos*/
 for (i=0;i<DIM1;i++)
  for (j=0;j<DIM2;j++)
   for (k=0;k<DIM3;k++)
    if (array[i][j][k]<0)
       array[i][j][k]=0;
    else 
    	 array[i][j][k]=9;

 /*Mostrar contenido por pantalla*/

 cuentalinea=0
 ;
 for (i=0;i<DIM1;i++)
  for (j=0;j<DIM2;j++)
   for (k=0;k<DIM3;k++)
	{
		printf("posición [%i][%i][%i]:%i\n",i,j,k,array[i][j][k]);
		if (cuentalinea==20)
		 {
		  printf("Pulse una tecla para continuar...");
		  getch();
		  cuentalinea=0;
		 }
		else
		 cuentalinea++;
	}

}
